package com.mortals.xhx.modules.information.dao.ibatis;

import com.mortals.xhx.modules.information.dao.InformationDao;
import com.mortals.xhx.modules.information.model.InformationEntity;
import com.mortals.xhx.modules.supplement.model.SupplementEntity;
import org.springframework.stereotype.Repository;
import com.mortals.framework.dao.ibatis.SubmeterDaoImpl;
import com.mortals.framework.model.TableParam;
import com.mortals.framework.model.TableStrategy;

import java.util.List;

/**
 * <p>Title: 办件信息</p>
 * <p>Description: InformationDaoImpl DAO接口 </p>
 *
 * @author
 * @version 1.0.0
 */
@Repository("informationDao")
public class InformationDaoImpl extends SubmeterDaoImpl<InformationEntity, Long> implements InformationDao {
    @Override
    protected TableStrategy getTableStrategy() {
        return new TableStrategy("mortals_iot_zd_information_${unionTime}", TableStrategy.STRATEGY_BY_MONTH);
    }

    @Override
    public TableParam getTableParam(InformationEntity entity) {
        TableParam param = new TableParam();
        return param;
    }

    @Override
    public List<SupplementEntity> queryListForSupplementEntityList() {
        return getSqlSession().selectList(getSqlId("queryList"), null);
    }
}
